Package gbp :: Package scripts :: Package common :: Module import_orig

[hide private]
[frames] | no frames]

# Module import_orig

Common functionality for import-orig scripts

Functions | [hide private]

orig_needs_repack(upstream_source, options) Determine if the upstream sources needs to be repacked |

cleanup_tmp_tree(tree) remove a tree of temporary files |

is_link_target(target, link) does symlink link already point to target? |

ask_package_name(default, name_validator_func, err_msg) Ask the user for the source package name. |

ask_package_version(default, ver_validator_func, err_msg) Ask the user for the upstream package version. |

repacked_tarball_name(source, name, version) |

repack_source(source, name, version, tmpdir, filters) Repack the source tree |

DebianUpstreamSource

download_orig(url) Download orig tarball from given URL |

Variables | [hide private]

| __package__ = ``'``gbp.scripts.common``'``

Function Details | [hide private]

### orig_needs_repack(upstream_source, options)

Determine if the upstream sources needs to be repacked

We repack if

1. we want to filter out files and use pristine tar since we want to make a filtered tarball available to pristine-tar
2. when we don't have a suitable upstream tarball (e.g. zip archive or unpacked dir) and want to use filters
3. when we don't have a suitable upstream tarball (e.g. zip archive or unpacked dir) and want to use pristine-tar

### ask_package_name(default, name_validator_func, err_msg)

Ask the user for the source package name.

Parameters:
  - `default` - The default package name to suggest to the user.

### ask_package_version(default, ver_validator_func, err_msg)

Ask the user for the upstream package version.

Parameters:
  - `default` - The default package version to suggest to the user.

### download_orig(url)

Download orig tarball from given URL

Parameters:
  - `url` (`str`) - the download URL
Returns: DebianUpstreamSource
  The upstream source tarball
Raises:
  - `GbpError` - on all errors